TwoDimensionalIntegral Class Reference

Integral of a two-dimensional function. More...

`#include <ql/math/integrals/twodimensionalintegral.hpp>`

## Public Member Functions

| TwoDimensionalIntegral (const boost::shared_ptr< Integrator > &integratorX, const boost::shared_ptr< Integrator > &integratorY)
Real | operator() (const boost::function< Real(Real, Real)> &f, const std::pair< Real, Real > &a, const std::pair< Real, Real > &b) const

## Detailed Description

Integral of a two-dimensional function.

The integral of a two dimensional function \( f(x,y) \) between \( (a_x, a_y) \) and \( (b_x, b_y) \) is calculated by means of two nested integrations